/*
  dump_config.h - dumps data structures into file

  Copyright (C) 1998 Pablo d'Angelo (pablo@ag-trek.allgaeu.org)
  
  This is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  It is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  See the GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef  _DUMP_CONFIG_H
#define  _DUMP_CONFIG_H

#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>


#include "ir_remote.h"

void fprint_flags(FILE *f, int flags);
void fprint_remotes(FILE *f, struct ir_remote *all);
void fprint_remote_head(FILE *f, struct ir_remote *rem);
void fprint_remote_foot(FILE *f, struct ir_remote *rem);
void fprint_remote_signal_head(FILE *f, struct ir_remote *rem);
void fprint_remote_signal_foot(FILE *f, struct ir_remote *rem);
void fprint_remote_signal(FILE *f,struct ir_remote *rem, struct ir_ncode *codes);
void fprint_remote_signals(FILE *f, struct ir_remote *rem);
void fprint_remote(FILE *f, struct ir_remote *rem);

#endif
