#ifndef _MSGWINDOW_
#define _MSGWINDOW_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qpushbt.h>
#include <qgrpbox.h>
#include <qdialog.h>
#include <qlined.h>
#include <qlabel.h>
#include <qmlined.h>

class MsgWindow : public QDialog {
  Q_OBJECT
public:
  MsgWindow(const char *, unsigned long, const char *);
  ~MsgWindow();
  void setMessage(const char *);
  void setUIN(unsigned long);
  void setName(const char *);
  void setEMail(const char *);
	long seq();
public slots:
signals:
protected:
  unsigned long uin;
  QPushButton *sendbutton, *cancelbutton;
  QGroupBox *tobox;
  QLabel *uinlabel, *handlelabel, *emaillabel;
  QLabel *uinline, *handleline, *emailline;
  QPushButton *infobutton;
  QLabel *editlabel;
  QMultiLineEdit *editbox;
	QLabel *updateanim;
	long sendSeq;
  void resizeEvent(QResizeEvent *);
  void closeEvent(QCloseEvent *);
protected slots:
  void sendMessage();
  void cancelMessage();
	void infoRequest();
private:
private slots:
};
#endif /* _MSGWINDOW_ */
