#ifndef _USERLIST_
#define _USERLIST_

#include <qlistbox.h>
#include <qlist.h>
#include "useritem.h"

class UserList : public QListBox {
  Q_OBJECT
public:
  UserList(QWidget *parent=0, const char *name=0, WFlags f=0);
  ~UserList();
  UserItem *getItem(int);
  void setStatus(unsigned long, unsigned long);
  void allOffline();
  void appendItem(UserItem*);
  void changeList();
  void clear();
	const char *getNickByUIN(unsigned long);
	const char *getEMailByUIN(unsigned long);
	ContactItem *getInfoByUIN(unsigned long);
	void deleteByUIN(unsigned long);
public slots:
  void newSelect(int);
signals:
protected:
  QPopupMenu *popup;
  int oldCurrent;
  QList<UserItem> onlineList;
  QList<UserItem> offlineList;
  QList<UserItem> notInList;
  void focusOutEvent(QFocusEvent *);
  void focusInEvent(QFocusEvent *);
  void paintCell(QPainter *, int, int);
  void mousePressEvent(QMouseEvent *);
protected slots:
private:
private slots:
};
#endif
