/* send.h */

#ifndef __SEND_H__
#define __SEND_H__

int Connect_Remote(char *hostname, int port);

void Send_Ack(int seq);
void Send_BeginLogin(int UIN, char *pass, int ip, int port);
void Send_FinishLogin();
void Send_KeepAlive();
void Send_GotMessages();
void Send_ContactList();
void Send_Message(DWORD uin, char *text);
void Send_AuthMessage(DWORD uin);
void Send_ChangeStatus(DWORD status);
void Send_InfoRequest(DWORD uin);
void Send_ExtInfoRequest(DWORD uin);
void Send_SearchRequest(char *email, char *nick, char* first, char* last);
void Send_RegisterNewUser(char *pass);
void Send_Disconnect();

#endif /* __SEND_H__ */